function X = addtcontext(Y,T)
% X = addtcontext(Y,T)
%    Add temporal context to feature vectors
%    Y is a matrix of feature columns (spectrogram-like).
%    Concatenate every (overlapping) sequence of T columns to
%    create X, a matrix of feature vectors including temporal
%    context.
%    If Y has size R x C, then X has size T.R x (C-(T-1))
% 2007-04-18 dpwe@ee.columbia.edu

[nr,nc] = size(Y);

X = zeros(T*nr,nc-(T-1));

for i = 1:T
  X((i-1)*nr + [1:nr],:) = Y(:,i-1+[1:(nc-T+1)]);
end
