function data = load_data(set)
% [data] = load_data(set)
%    Load data records from file names in cells of set
% 2007-04-17 dpwe@ee.columbia.edu

guarddef = 20;  % default guard spacing from ends

% Load all the data
for i = 1:length(set)
  d = readdatafile(set{i});
  % only add the middle part of each file into the pool
  % ri will consist of ntsamp random indices (with replacement) at least 
  % <guard> samples away from end, where guard is larger of 1000 or one
  % quarter of the dataset length
  guard = min(round(length(d)/4),guarddef); % how far to stay away from ends
  ri = guard + [1:(length(d)-2*guard)];
  
  data{i} = d(:,ri);
end

